<?php
/**
 * syscfg_lang.php - DESCRIPTION
 *
 * @author $Author: dtong $
 * @version $Id: syscfg_lang.php,v 1.38 2012/05/10 13:03:23 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

static $s_syscfg_lang = array(
	'syscfg_title_name' => 'Name',
	'syscfg_title_desc' => 'Description',
	'syscfg_title_value' => 'Setting',
	'syscfg_title_selected' => 'Selected',
	'syscfg_boolean_true' => 'Yes',
	'syscfg_boolean_false' => 'No',
	'syscfg_inputwin_title' => 'System Configuration',
	'syscfg_link_modify' => 'Modify',
	'syscfg_input_title' => 'Configuration Modification',
	'syscfg_input_new_value' => 'New Value',
	'syscfg_input_cancel_button' => 'Cancel',
	'syscfg_input_save_button' => 'Save',
	'syscfg_update_invalid_param' => 'Invalid Parameters',
	'syscfg_update_invalid_numeric' => 'Invalid numeric value, update aborted',
	'syscfg_update_invalid_integer' => 'Invalid integer value, update aborted',
	'syscfg_input_setdefault_button' => 'Use System Default',
	'syscfg_input_setdefault_button_clear' => 'Clear Value',
	'syscfg_update_exceed_value_limit' =>
	'Sorry, text input is limited to 5000 characters.<br /><br />Please shorten your input and try again.',
	'syscfg_template_file_access_error' =>
	'Failed to update template configuration file.<br /><br />Please check file write permission in the TODCM data folder - %s.',

//For system configurations
	'syscfg_cms_max_uploadsize_name' => 'Maximum upload size (MB)',
	'syscfg_cfg_general_title' => 'General System Configuration',
	'syscfg_cfg_site_title' => 'Site Appearance<br /><span style="font-size:11px;font-weight:normal">(Please refresh your browser after modification)</span>',
	'syscfg_cms_login_title_name' => 'Login page title',
	'syscfg_cms_login_title_desc' => 'The site title on the login page.',
	'syscfg_cms_site_title_name' => 'Browser window/tab title',
	'syscfg_cms_site_title_desc' => 'Title located on the browser tab or on the top left corner of the browser.',
	'syscfg_cms_body_logo_text_name' => 'Body title',
	'syscfg_cms_body_logo_text_desc' => 'Title located on the default body page.',
	'syscfg_cms_body_logo_text_color_name' => 'Body title color',
	'syscfg_cms_body_logo_text_color_desc' => 'Text color for the body title.',
	'syscfg_cms_header_image_bkcolor_name' => 'Header image background color',
	'syscfg_cms_header_image_bkcolor_desc' => 'Background color around the top logo image.',
	'syscfg_cms_header_image_left_align_name' => 'Left align header logo',
	'syscfg_cms_header_image_left_align_desc' => 'Align the header logo to the left. Center aligned if set to no.',
	'syscfg_unit_config_title' => 'Unit Configuration',
	'syscfg_cms_single_unit_editor_name' => 'Enable multi-editor support',
	'syscfg_cms_single_unit_editor_desc' =>
		'Multi-editor support allows you to assign multiple editors to one single course.
		This affects the "Add/Change Editor" feature in the Course Description edit page (use "Turn editing on" button).',
	'syscfg_cms_no_multi_course_lt_name' => 'Enable cross-course Learning Target',
	'syscfg_cms_no_multi_course_lt_desc' =>
		'The Cross-course Learning Target feature allows you to pull learning targets from other courses into your units.
		You can select the courses to add from the Learning Targets page and then you can use the learning targets from the selected course in your unit pages.',
	'syscfg_cms_max_perpage_name' => 'Maximum table items',
	'syscfg_cms_max_perpage_desc' => 'The maximum number of table items per page for mapping results, some admin pages and the evaluation listing page.',
	'syscfg_cms_max_showpage_name' => 'Number of paging links',
	'syscfg_cms_max_showpage_desc' => 'The number of available table paging links on the left side and the right side of the current page.',
	'syscfg_cms_lt_importid_support_name' => 'Enable list numbering',
	'syscfg_cms_lt_importid_support_desc' =>
		'Enable list numbering for strands, standards and benchmarks.
		 This allows you to add a number such as 1.1.1 to the data. The data will be sorted by this number instead of by name.',
	'syscfg_cms_use_all_unit_types_name' => 'Enable all unit types',
	'syscfg_cms_use_all_unit_types_desc' =>
		'The unit types are integrated, shared and meta. This setting when set to "Yes" will override the individual unit types setting.
		Set it to "No" to allow control of each individual type setting from below.',
	'syscfg_cms_use_unit_unified_name' => 'Enable shared unit',
	'syscfg_cms_use_unit_unified_desc' =>
		'Enable shared unit feature. This allows you to share a single copy of a unit to multiple courses.
		You can only edit the master copy from where the unit was created.',
	'syscfg_cms_use_unit_integrated_name' => 'Enable integrated unit',
	'syscfg_cms_use_unit_integrated_desc' =>
	'Enable integrated unit feature (UbD only). This allows you to share stage one among a selected set of units. Each unit has its own stage two, three etc.',
	'syscfg_cms_use_unit_meta_name' => 'Enable meta unit',
	'syscfg_cms_use_unit_meta_desc' => 'Enable meta unit feature (UbD only). Meta units contain stage one only.',
	'syscfg_cms_unit_copyunit_name' => 'Enable unit copy',
	'syscfg_cms_unit_copyunit_desc' =>
	'Enable unit copy feature. When enabled it allows course editors to copy units from all published units.',
	'syscfg_cms_notuse_hide_unit_feature_name' => 'Enable hide unit',
	'syscfg_cms_notuse_hide_unit_feature_desc' =>
	'Enable hide unit feature. This adds a button to each unit page so you can hide a published unit from other users.',
	'syscfg_cms_unitlock_hour_expire_name' => 'Unit lock timeout (hours)',
	'syscfg_cms_unitlock_hour_expire_desc' =>
		'The number of hours without activities a unit will be unlocked for other editors.
		When an editor edits an unit, the unit will be locked exclusively for this editor.
		Other editors can\'t edit the same unit while it is locked.
		The lock can be released by the editor or until it reaches this number of hours without any editing activities.',
	'syscfg_cms_unitcompare_multi_scroll_name' => 'Multi-compare-window scrolling',
	'syscfg_cms_unitcompare_multi_scroll_desc' =>
		'This allows you to scroll the 2 compare windows for the unit compare feature at the same time. If set to "No" then the scrolling of the 2 compare windows are not in sync.',
	'syscfg_cms_max_multi_url_name' => 'Number of URL inputs',
	'syscfg_cms_max_multi_url_desc' =>
	'The number of URL inputs on the upload pop-up windows. You can add any number of URLs regardless of this setting. This setting only limits how many you can enter each time.',
	'syscfg_cms_show_allgrades_name' => 'Show all grades',
	'syscfg_cms_show_allgrades_desc' =>
		'This causes the course description page (in edit mode) to always show the grade levels based on the
		minimum and maximum grade levels assigned to the course. This overrides the grade level(s) admin assigns to each course.',
	'syscfg_cms_ldap_server_name' => 'LDAP Server',
	'syscfg_cms_ldap_server_desc' => 'LDAP Server host name or IP address',
	'syscfg_cms_ldap_serach_userattr_name' => 'User search attribute',
	'syscfg_cms_ldap_serach_userattr_desc' => 'LDAP user search attribute. This is always "samaccountname" for Windows Active Directory.',
	'syscfg_cms_ldap_serach_dn_name' => 'Search DN',
	'syscfg_cms_ldap_serach_dn_desc' =>
	'LDAP search Distinguish Name. This tells where to start from the LDAP tree. It would look something like "dc=todcm,dc=org".',
	'syscfg_cms_ldap_bind_userdn_name' => 'LDAP user account DN',
	'syscfg_cms_ldap_bind_userdn_desc' =>
	'A valid LDAP user account Distinguish Name. This would look something like "cn=todcmlogin,cn=users,dc=todcm,dc=org".',
	'syscfg_cms_ldap_bind_password_name' => 'LDAP password',
	'syscfg_cms_ldap_bind_password_desc' => 'This is the password for the user account DN above.',
	'syscfg_cms_not_show_hide_course_button_name' => 'Enable hide course button',
	'syscfg_cms_not_show_hide_course_button_desc' =>
	'This hide course feature is located on the course description page and allows an editor to hide a course from users.',
	'syscfg_maintenance_mode_title' => 'System Maintenance and Login Security',
	'syscfg_cms_manage_mode_name' => 'Enable maintenance mode',
	'syscfg_cms_manage_mode_desc' =>
		'This will logout all active users by destroying all active user sessions and stop non-admin users to login to the site.
		<font color="red">Warning, this can cause currently active users to loss their editing data.</font>',
	'syscfg_cms_not_show_gradetree_button_name' => 'Enable List by Grades button',
	'syscfg_cms_not_show_gradetree_button_desc' => 'This is the "List by Grades" button located under the left menu tree.',
	'syscfg_cms_menutree_use_category_name' => 'Enable category in menu tree',
	'syscfg_cms_menutree_use_category_desc' =>
	'This will add another layer above the department layer in the left menu tree. You can group different departments and grade levels in the categories. The categories can be added using the category admin page.',
// 	'syscfg_cms_category_not_show_empty_departments_name' => 'Show all departments in each category',
// 	'syscfg_cms_category_not_show_empty_departments_desc' =>
//	'If this is set to "Yes" then all departments will be shown under each category. ' .
//	'If this is set to "No" then only the pre-selected departments with valid courses will be shown in each category, all other departments will be skipped.',
	'syscfg_cms_header_message_name' => 'Header message',
	'syscfg_cms_header_message_desc' => 'Header message shown right below header logo image after successful login.',
	'syscfg_cms_loginheader_message_name' => 'Login header message',
	'syscfg_cms_loginheader_message_desc' =>
		'Header message shown right below header logo image for the first login page only. Please logout or use a different browser to see the login page after modification.',
	'syscfg_cms_multiple_grade_display_name' => 'Enable multiple display grades per course',
	'syscfg_cms_multiple_grade_display_desc' => 'This allows the course editors to assign multiple grade levels in the course description page.
		The "List by Grades" feature in the left menu tree depends on the display grade levels assigned from the course description page.',
	'syscfg_cms_header_image_name' => 'Header logo image',
	'syscfg_cms_header_image_desc' => 'Header logo image. This is the file path under the images folder.',
	'syscfg_cms_body_image_name' => 'Body image',
	'syscfg_cms_body_image_desc' => 'Body image, the one with the big picture puzzle. This is the file path under the images folder.',
	'syscfg_cms_failed_login_lockout_check_name' => 'Enable account lockout',
	'syscfg_cms_failed_login_lockout_check_desc' =>
		'If the number of failed login attempts on an account is more than the maximum value defined then
		the account is locked for a time period defined in "Account Lockout period".
		In the case you need to unlock locked accounts then disable this option and
		then enable this option again, this will unlock all locked accounts. Disabling this option will enable the login confirmation code option.',
	'syscfg_cms_login_use_captcha_name' => 'Enable login confirmation code (CAPTCHA)',
	'syscfg_cms_login_use_captcha_desc' =>
		'This is same as the account lockout option, but instead of locking out the account, the user will be presented with an image containing an alphanumeric string,
		and the user has to type in the correct alphanumeric string before logging in. Disabling this option will enable the account lockout option.',
	'syscfg_cms_failed_lockout_count_name' => 'Maximum failed login attempts',
	'syscfg_cms_failed_lockout_count_desc' =>
		'The maximum number of failed login attempts before either the account gets locked out or the systems starts to ask for confirmation code. The minimum value allowed is 3.',
	'syscfg_cms_lockout_period_name' => 'Account Lockout period',
	'syscfg_cms_lockout_period_desc' => 'The time period in minutes for how long to lockout an account or when to ask for confirmation code. The minimum value allowed is 5 minutes.',
	'syscfg_cfg_ldap_title' => 'LDAP Authentication Configuration',
	'syscfg_cms_survey_nologin_name' => 'Enable survey No-login option',
	'syscfg_cms_survey_nologin_desc' =>
		'This option allows teachers to create a survey that does not require login authentication, an optional access code can be assigned to each no-login survey.
		This is necessary if students don\'t have a LDAP account. If you want all surveys to require LDAP login then disable this option.
		Disabling this option will automatically enable the "LDAP login" option.',

	'syscfg_cms_survey_uselogin_name' => 'Enable survey LDAP login option',
	'syscfg_cms_survey_uselogin_desc' =>
		'This options allows teachers to create a survey that requires LDAP login.
		The student LDAP login uses the same LDAP settings from "LDAP Authentication Configuration" below.
		You should disable this option if students don\'t have a LDAP account.
		If both "LDAP login" and "No-login" options are enabled then teachers have to choose one during survey creation time.
		Disabling this option will automatically enable the "No-login" option.',
	'syscfg_cms_show_benchmark_without_lts_name' => 'Always show standards and benchmarks.',
	'syscfg_cms_show_benchmark_without_lts_desc' => 'This is for the "Learning Targets" page initiated from the menu tree in each course.
		The default behavior (option "No") is to hide the standards and benchmarks if they have no associated learning targets. Setting this to "Yes"
		will show all standards and benchmarks even without any associated learning targets.
		This option does not affect users with course editing rights since they need to see the benchmarks in order to add learning targets.',
	'syscfg_cms_tinymce_default_plaintext_paste_disable_name' => 'Always paste plain text',
	'syscfg_cms_tinymce_default_plaintext_paste_disable_desc' =>
		'This is for the text box (TinyMCE) on the resource popups (green "+" buttons from various pages).
		If this this set to "Yes" then text formatting is not preserved when using copy and paste,
		unless the "Paste as Plain Text" button is deselected or using the "Paste from Word" button to paste the copied text. If this is set to "No" then
		the text formatting is preserved when using copy and paste, this behaves the same as the "Paste from Word" button but without having to click the "Paste from Word" button.',

// Guest user config
	'syscfg_cfg_guest_title' => 'Guest User Configuration',
	'syscfg_cms_guest_open_access_name' => 'Enable public guest access',
	'syscfg_cms_guest_open_access_desc' => 'This option adds a link on the login page to allow anyone to access the site as the guest user.
		A password is not required of this guest access. A guest user can read course descriptions and all published units.
		If you assign a password to the system guest user then you should disable this option to disallow public guest access.
		<br /><br />Web link for public guest access: %s',
	'syscfg_cms_guest_ldap_access_name' => 'Enable student and/or parent LDAP guest access',
	'syscfg_cms_guest_ldap_access_desc' => 'This allows students and parents with LDAP account to log into this site as guest.
		This uses the same LDAP settings from the "LDAP Authentication Configuration". It is suggested to disable the public guest access if this option is enabled.',
	'syscfg_cms_guest_enable_site_resource_read_name' => 'Enable "Resources" page',
	'syscfg_cms_guest_enable_site_resource_read_desc' =>
		'This allows guest users to access the site resource page (accessed by clicking on the "Resources" button located at the top of the site).
		The default is "No" and all guest users can not see the "Resources" button.',
	'syscfg_cms_guest_disable_download_all_name' => 'Enable all downloads',
	'syscfg_cms_guest_disable_download_all_desc' =>
		'This allows guest users to download uploaded files from the unit page, course description page and the site resource page.
		The default is "No" and it overrides the individual download settings below.
		Setting this to "Yes" allows control of each individual download setting below.',
	'syscfg_cms_guest_disable_unit_download_name' => 'Enable download on unit page',
	'syscfg_cms_guest_disable_unit_download_desc' =>
	'This allows guest users to download uploaded files from the unit page. If setting to "No" then all uploaded files on the unit page are not clickable.',
	'syscfg_cms_guest_disable_course_download_name' => 'Enable download on course description page',
	'syscfg_cms_guest_disable_course_download_desc' =>
	'This allows guest users to download uploaded files from the course description page. If setting to "No" then all uploaded files on the course description page are not clickable.',
	'syscfg_cms_guest_disable_site_download_name' => 'Enable download on site resource page',
	'syscfg_cms_guest_disable_site_download_desc' =>
	'This allows guest users to download uploaded files from the site resource page. If setting to "No" then all uploaded files on the site resource page are not clickable.',

// For todcm2 template
	'syscfg_template_group_title' =>
		'Template Selection Menu<div style="font-weight:normal;font-size:11px;margin-top:10px">Only one template can be selected/activated.<br />
		Selecting a new template will automatically deselect the previous selected template.<br />
		You should not select a new template if this site already contains user data.</div>',
	'syscfg_cms_template_group_name' => 'Customized template "%s"',
	'syscfg_cms_template_group_desc' =>
	'Customized template "%s".',
	'syscfg_cms_template_group_todcm_name' => 'Default TODCM template',
	'syscfg_cms_template_group_todcm_desc' =>
		'This is the standard template gets installed during the initial TODCM installation. This template supports global strands and standards.',
	'syscfg_cms_template_group_todcm2_name' => 'TODCM Template with course based benchmarks and learning targets',
	'syscfg_cms_template_group_todcm2_desc' =>
		'This template ignores the global strands and standards.
		The benchmarks and learning targets become course based and are managed by individual course editors.
		Some of the admin configurations and mapping searches are also different compare to the default TODCM template above.
		Benchmark is renamed to outcome and learning target is renamed to skill in this template.',
);

// This one is special. We normally don't put code in language files but this is very dynamic and the code here is necessary.
$s_syscfg_lang['syscfg_cms_max_uploadsize_desc'] =
	'This is the application setting for maximum upload file size. The maximum allowable size for this option is restricted by the limit set in php.ini ' .
	'(memory_limit, post_max_size, upload_max_filesize). ' .
	'<font color="red">Current php.ini limit for maximum upload size is ' . osa_filesizestr(osa_maximum_uploadsize(), 0) . '.</font>';

$lang = &$s_syscfg_lang;
