<?php
/**
 * goal_base.php - Goal menu base class
 *
 * @author $Author: dtong $
 * @version $Id: goal_base.php,v 1.1 2011/10/19 06:17:27 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class goal_base {
	static function get() {
		$result = array();
		// goal Management
		$result[1][0] = array('_menu_header'=> lang('goal_menu_management'), '_menu_flag'  => TRUE);
		$result[1][1] = array('_menu_title' => lang('goal_menu_create_goal'), '_menu_image' => 'add_goal.jpg',
							 	'_menu_divid' => 'page_content', '_menu_url'   => 'goal/goal/create_goal',
		 					  	'_menu_hr'    => FALSE);
		$result[2][0] = array('_menu_header'=> FALSE, '_menu_flag'  => TRUE );
		$result[2][1] = array('_menu_title' => lang('goal_menu_list_my_goal'), '_menu_image' => 'list_my_goal.jpg',
						     '_menu_divid' => 'page_content', '_menu_url'   => 'goal/goal/load_goal/'.CMS_MYGOAL,
		 					  '_menu_hr'    => FALSE);
		$result[3][0] = array('_menu_header'=> FALSE, '_menu_flag'  => TRUE );
		$result[3][1] = array('_menu_title' => lang('goal_menu_list_goals'), '_menu_image' => 'list_goal.jpg',
						     '_menu_divid' => 'page_content', '_menu_url'   => 'goal/goal/load_goal/'.CMS_GOALALL,
		 					  '_menu_hr' => FALSE, '_handle'=>'is_goal_admin');
		$result[4][0] = array('_menu_header'=> FALSE, '_menu_flag'  => TRUE );
		$result[4][1] = array('_menu_title' => lang('goal_menu_view_survey_forms'), '_menu_image' => 'surveyforms.gif',
						     '_menu_divid' => 'page_content', '_menu_url'   => 'survey/util/forms',
		 					  '_menu_hr' => FALSE);
		$result[5][0] = array('_menu_header'=> FALSE, '_menu_flag'  => TRUE);
		$result[5][1] = array('_menu_title' => lang('goal_menu_archive_goals'), '_menu_image' => 'archive.gif',
						     '_menu_divid' => 'page_content', '_menu_url'   => 'goal/archive',
							  '_menu_hr' => FALSE, '_handle'=>'is_goal_system_admin');

		return $result;
	}
}