<?php
/**
 * goal_lang.php - goal Language
 *
 * @author $Author: dtong $
 * @version $Id: goal_lang.php,v 1.9 2012/05/10 13:03:23 dtong Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/
static $s_goal_lang = array(

//goal_menu
	'goal_menu_management' => 'Evaluation',
	'goal_menu_create_goal' => 'Create Evaluation',
	'goal_menu_list_goals' => 'All Evaluations',
	'goal_menu_list_my_goal' => 'My Evaluations',
	'goal_menu_goal_help' => 'Samples',
	'goal_menu_message_crategoal' => 'You can have only one Evaluation.',
	'goal_menu_archive_goals' => 'Archive All Active Evaluations',
	'goal_menu_view_survey_forms' => 'View Survey Forms',

//goal_create_view
	'goal_create_link_meber' => 'Assign Member',
	'goal_create_create_title' => 'Title: ',
	'goal_create_team_members' => 'Team Members: ',
	'goal_turn_editing_on' => 'Turn editing on',
	'goal_create_button_save' => 'Save',
	'goal_create_list_mygoal' => 'My Evaluations:',
	'goal_required_title' => 'Please enter a title for your new evaluation',
	'goal_required_entry' => 'Please select an entry point', //for ISB
	'goal_create_massage_save_complete' => 'Title updated.',
	'goal_create_meber_creator' => ' (Creator)',
	'goal_create_meber_editor' => ' (Editor)',
	'goal_create_mygoal_nodata' => '(Contains no data)',
	'goal_create_mygoal_pop_head' => 'My Evaluation(s)',
	'goal_create_mygoal_button_close' => 'Close',

//The default fill-in title for when creating a new goal/template
	'goal_create_default_title' => 'Evaluation for year %s',

//goal_displaylist
	'goal_list_search_title' => 'Search evaluations by title and creator:',
	'goal_list_display_title_null' => 'N/A',
	'goal_list_display_title' => 'Title',
	'goal_list_display_entrypoint' => 'Entry Point', //for ISB
	'goal_list_display_editor' => 'Creator',
	'goal_list_display_date' => 'Creation Date',
	'goal_list_display_enabled' => 'Enabled',
	'goal_list_display_status' => 'Status',
	'goal_list_img_add' => 'Create a new evaluation',
	'goal_list_img_edit' => 'Edit this evaluation',
	'goal_list_img_del' => 'Delete this evaluation',
	'goal_list_img_link' => 'Edit this Evaluation',
	'goal_list_img_read' => 'Show this Evaluation',
	'goal_list_img_enable' => 'Enable this evaluation',
	'goal_list_img_disable' => 'Disable this evaluation',
	'goal_list_img_archive' => 'Archive this evaluation',
	'goal_list_message_del' =>
		'You will no longer able to access this evaluation once it is deleted.\n Only administrator users can undelete a deleted evaluation.\n\nAre you sure to delete this evaluation?',
	'goal_list_message_enable' =>
	'Only enabled evluations are editable.\nAll surveys in an disbaled evaluation are disabled and read-only.\n\nAre you sure to enable this evaluation?',
	'goal_list_message_disable' =>
		'You will no longer able to edit this evaluation once it is disabled.\nAll surveys in this evaluation will be disabled and read-only.\n\nAre you sure to disable this evaluation?',
	'goal_list_message_archive' =>
		'An archived evaluation will always remain read-only.\nOnly an appraiser can enable/reactivate an archived evaluation.\nArchiving an evaluation is necessary when the evaluation is completed and should not be edited further.\n\nAre you sure to archive this evaluation?',
	'goal_list_convert_enabled' => 'Yes',
	'goal_list_convert_disabled' => 'No',
	'goal_list_status_active' => 'Active',
	'goal_list_status_archived' => 'Archived',
	'goal_list_status_deleted' => 'Deleted',
	'goal_list_status_disabled' => 'Disabled',
	'goal_button_pdf' => 'View PDF',
	'goal_filter_all' => 'Show all',
	'goal_filter_all_except_deleted' => 'Show all (Except deleted)',
	'goal_filter_enabled' => 'Active evaluations only',
	'goal_filter_disabled' => 'Disabled evaluations only',
	'goal_filter_archived' => 'Archived evaluations only',
	'goal_filter_deleted' => 'Deleted evaluations only',
	'goal_create_title' => 'Teacher Performance Evaluation',
	'goal_list_selectfilter' => 'Filter:',
	'goal_list_selectentry' => 'Entry Point:', //for ISB
	'goal_list_selectcreator' => 'Creator:',
	'goal_creator_toplist' => 'Show all',
	'goal_list_status_title' => 'Status:',

// user_team
	'goal_team_col_user' => 'Member',
	'goal_team_col_editor' => 'Editor',
	'goal_team_col_delete' => 'X',
	'goal_team_selectuser' => 'Users:',
	'goal_team_selecteduser' => 'Selected team members:',
	'goal_team_creator' => 'Creator: ',
	'goal_team_user_assign' => 'Assign team member',
	'goal_team_user_disable' => 'Please select a user',
	'goal_team_button_done' => 'Done',
	'goal_team_footer' => 'Selected team members can edit SMART Goal\'s stages 1-3.', //for ISB
	'goal_team_deletemsg' => 'Are you sure to delete this user?',

	'goal_create_survey' => 'Create Survey',
	'goal_list_surveys' => 'List Surveys',
	'goal_creator_name' => 'Evaluation Document Owner: ',
	'goal_error_editing' => 'There is an error while editing evaluation.',

// archive
	'goal_archive_button_archive_now' => 'Archive Now',
	'goal_archive_button_cancel' => 'Cancel',
	'goal_archive_title' => 'Archive All Active Evaluations',
	'goal_archive_confirm' => 'Are you sure to archive all active evaluations?',
	'goal_archive_done' => 'Archived all active evaluations',
	'goal_archive_fail' => 'Error while archiving',
	'goal_archive_description' => 'This will archive all active evaluations.
		This is normally performed once a year when all teacher evaluations are completed and reviewed.
		This bulk archiving is not reversible but you can unarchive on an individual evaluation basis.',
	'goal_archvie_history_title' => 'Bulk Archive History',
	'goal_archive_no_history' => 'This is your first time running bulk archiving and no history listing is available.',
	'goal_archive_no_active_evaluation' => 'Note: There are no active evaluations. Archiving is not necessary',
	'goal_archive_help_text' => 'Archived evaluations are considered final and they are no longer editable.',
// delete
	'goal_delete_help_text' => 'Only administrator users can see and access the deleted evaluations.',

);

$lang = &$s_goal_lang;
